Skip to content
Documentation
Explore guides

For administrators

Contract end reasons

List, create, show, update, and delete contract end reasons in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all contract end reasons

GET /api/v3/contract_end_reasons

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "Resignation",
    "description": "Employee resigned",
    "colour": "green"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "Resignation",
    "description": "Employee resigned",
    "colour": "green"
  }
]

Create a contract end reason

POST /api/v3/contract_end_reasons

Request

{
  "name": "Resignation",
  "description": "Employee resigned",
  "colour": "green"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Resignation",
  "description": "Employee resigned",
  "colour": "green"
}

Show a contract end reason

GET /api/v3/contract_end_reasons/{contract_end_reason_id}

Parameter Type Description
contract_end_reason_id string (UUID) Contract end reason id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Resignation",
  "description": "Employee resigned",
  "colour": "green"
}

Update a contract end reason

PUT /api/v3/contract_end_reasons/{contract_end_reason_id}

Request

{
  "name": "End of term",
  "description": "Updated description",
  "colour": "orange"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "End of term",
  "description": "Updated description",
  "colour": "orange"
}

Delete a contract end reason

DELETE /api/v3/contract_end_reasons/{contract_end_reason_id}

Response 200

{}